package io.zipcoder.crudapp.services;

import io.zipcoder.crudapp.models.Person;
import io.zipcoder.crudapp.repositories.PersonRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class PersonService {

    @Autowired
    PersonRepository personRepository;

    public Iterable<Person> getPersonList(){
        return personRepository.findAll();
    }

    public Person getPersonById(Long id){
        return personRepository.findOne(id);
    }

    public Person savePerson(Person person){
        return personRepository.save(person);
    }

    public void deletePerson(Long id){
        personRepository.delete(id);
    }
}
